#ifndef BASE_UTILITY_H
#define BASE_UTILITY_H

#include <QString>
#include <QDateTime>
#include "candle_chart_model.hh"

QString createOutputPrefix(ChartScale scale, CurrencyPair pair);
QString createOutputPrefix(const CandleChartModel& model);

QString outputFileName(
    const QString& folder, const QString& prefix,
    const QDateTime& time, const QString& suffix);

QString outputFileName(
    const QString& folder, const CandleChartModel& model,
    const QString& suffix = QString());

#endif // BASE_UTILITY_H
